Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_EventType_List Class Reference

TAO_Notify_EventType_List. More...

`#include <Notify_Collection.h>`

Inheritance diagram for TAO_Notify_EventType_List:

[legend]
Collaboration diagram for TAO_Notify_EventType_List:

[legend]
List of all members.

## Public Methods
void | populate (CosNotification::EventTypeSeq &event_type_seq)
| Populate <event_type_seq> with the contents of this object. More...
void | insert_seq (const CosNotification::EventTypeSeq &event_type_seq)
| insert the contents of <event_type_seq> into this object. More...
void | remove_seq (const CosNotification::EventTypeSeq &event_type_seq)
| remove the contents of <event_type_seq> from this object. More...
void | insert_seq (const TAO_Notify_EventType_List &event_type_seq)
| insert the contents of <event_type_seq> into this object. More...
void | remove_seq (const TAO_Notify_EventType_List &event_type_seq)
| remove the contents of <event_type_seq> from this object. More...
## Static Public Methods
void | preprocess (TAO_Notify_EventType_List &current, TAO_Notify_EventType_List &seq_added, TAO_Notify_EventType_List &seq_removed)
| Preprocess lists for subscriptions. More...
## Private Types
typedef ACE_Unbounded_Set< TAO_Notify_EventType > | inherited

## Detailed Description

TAO_Notify_EventType_List.

Allows operations using the CosNotification::EventTypeSeq type.

## Member Typedef Documentation

typedef ACE_Unbounded_Set<TAO_Notify_EventType> TAO_Notify_EventType_List::inherited`[private]`

## Member Function Documentation

void TAO_Notify_EventType_List::insert_seq | ( | const TAO_Notify_EventType_List & | event_type_seq | ) |

| insert the contents of <event_type_seq> into this object.

void TAO_Notify_EventType_List::insert_seq | ( | const CosNotification::EventTypeSeq & | event_type_seq | ) |

| insert the contents of <event_type_seq> into this object.

void TAO_Notify_EventType_List::populate | ( | CosNotification::EventTypeSeq & | event_type_seq | ) |

| Populate <event_type_seq> with the contents of this object.

void TAO_Notify_EventType_List::preprocess | ( | TAO_Notify_EventType_List & | current,
|  | TAO_Notify_EventType_List & | seq_added,
|  | TAO_Notify_EventType_List & | seq_removed
| ) | `[static]`

| Preprocess lists for subscriptions.

void TAO_Notify_EventType_List::remove_seq | ( | const TAO_Notify_EventType_List & | event_type_seq | ) |

| remove the contents of <event_type_seq> from this object.

void TAO_Notify_EventType_List::remove_seq | ( | const CosNotification::EventTypeSeq & | event_type_seq | ) |

| remove the contents of <event_type_seq> from this object.

The documentation for this class was generated from the following files:

- Notify_Collection.h
- Notify_Collection.cpp